<odoo>
    <data>
        <!-- explicit list view definition -->

        <record model="ir.ui.view" id="view_variables_form">
            <field name="name">variables.form</field>
            <field name="model">variables</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <h1>
                            <field name="name"/>
                        </h1>
                        <group>
                            <group>
                                <field name="model_id"/>
                                <field name="model_name" invisible="1"/>
                                <field name="field_id" domain="[('model_id', '=', model_id)]"/>
                                <field name="date_field_id" domain="[('model_id', '=', model_id), ('ttype', 'in', ['date', 'datetime'])]"/>
                                <field name="domain_rule" widget="domain"
                                       options="{'model': 'model_name', 'in_dialog': true}"/>
                            </group>
                            <group>
                                <field name="variable_type"/>
                                <field name="variable_nature"/>
                            </group>
                        </group>
                    </sheet>

                </form>
            </field>
        </record>

        <record model="ir.ui.view" id="view_variables_tree">
            <field name="name">variables.tree</field>
            <field name="model">variables</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="name"/>
                    <field name="model_id"/>
                    <field name="field_id"/>
                    <field name="variable_type"/>
                    <field name="variable_nature"/>
                    <!--                    <field name="domain_rule"/>-->
                </tree>
            </field>
        </record>

        <record id="action_variables" model="ir.actions.act_window">
            <field name="name">Variables</field>
            <field name="res_model">variables</field>
            <field name="view_mode">tree,form</field>
        </record>

    </data>
</odoo>